---
title: CSSUnparsedValue
slug: Web/API/CSSUnparsedValue
tags:
  - API
  - CSS Typed Object Model API
  - CSSUnparsedValue
  - Experimental
  - Houdini
  - Interface
  - NeedsExample
  - Reference
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>CSSUnparsedValue</code></strong> interface of the {{domxref('CSS Typed Object Model API','','',' ')}} represents property values that reference <a href="/en-US/docs/Web/CSS/CSS_Variables">custom properties</a>. It consists of a list of string fragments and variable references.</p>

<p class="summary">Custom properties are represented by <code>CSSUnparsedValue</code> and {{cssxref('var')}} references are represented using {{domxref('CSSVariableReferenceValue')}}.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("CSSUnparsedValue.CSSUnparsedValue()")}}</dt>
 <dd>Creates a new <code>CSSUnparsedValue</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref('CSSUnparsedValue.length')}}</dt>
 <dd>Returns the number of items in the <code>CSSUnparsedValue</code> object.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref('CSSUnparsedValue.entries()')}}</dt>
 <dd>Returns an array of a given object's own enumerable property <code>[key, value]</code> pairs in the same order as that provided by a {{jsxref("Statements/for...in", "for...in")}} loop (the difference being that a for-in loop enumerates properties in the prototype chain as well).</dd>
 <dt>{{domxref('CSSUnparsedValue.forEach()')}}</dt>
 <dd>Executes a provided function once for each element of the <code>CSSUnparsedValue</code> object.</dd>
 <dt>{{domxref('CSSUnparsedValue.keys()')}}</dt>
 <dd>Returns a new <strong><code>Array Iterator</code></strong> object that contains the keys for each index in the <code>CSSUnparsedValue</code> object.</dd>
 <dt>{{domxref('CSSUnparsedValue.values()')}}</dt>
 <dd>Returns a new <strong><code>Array Iterator</code></strong> object that contains the values for each index in the <code>CSSUnparsedValue</code> object.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#cssunparsedvalue','CSSUnparsedValue')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSUnparsedValue")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li>{{domxref('CSSImageValue')}}</li>
 <li>{{domxref('CSSKeywordValue')}}</li>
 <li>{{domxref('CSSNumericValue')}}</li>
 <li>{{domxref('CSSPositionValue')}}</li>
 <li>{{domxref('CSSTransformValue')}}</li>
 <li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API/Guide">Using the CSS Typed OM</a></li>
 <li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API">CSS Typed Object Model API</a></li>
</ul>
